# ViewModel

Package tourplaner.viewmodels

## Class ViewModel

- java.lang.Object
- - tourplaner.viewmodels.ViewModel

    public class ViewModel
    extends java.lang.Object

### Constructor Summary

Constructors
`ViewModel()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addLog()` Fügt einen Log eintrag zu einer Tour hinzu.
`boolean` `addTour()` Fügt eine neue Tour hinzu
`void` `delLog()` Entfernt ein Log anhand des selectierten Logs
`void` `delTour()` Entfernt eine Tour anhand der ausgewählten Tour
`void` `doxygenDocBrowser()` Öffnet Doxygen Doc im standart browser
`void` `editLog()` Bearbeitet einen gewählten Log eintrag
`void` `editTour()` Bearbeitet eine bereits bestehende Tour prüft ob eine tour ausgewählt ist
`void` `exportData()` Exportiert alle daten in ein File das hier gewählt wird
`javafx.scene.image.Image` `getImage​(java.lang.String tourname)`
`Log` `getLog​(java.lang.String id)` Holt ein Log anhand seiner ID
`javafx.collections.ObservableList<Log>` `getLogData()`
`java.lang.String` `getNeueTourName()`
`java.lang.String` `getNeueTourStart()`
`java.lang.String` `getNeueTourZiel()`
`Log` `getSelectedLog()` Holt das selectierte Log als Log Objekt
`Tour` `getSelectedTour()`
`Tour` `getTour​(java.lang.String tourname)` Holt das Tourobjekt anhand des Namens
`javafx.collections.ObservableList<Tour>` `getTourData()`
`javafx.collections.ObservableList<java.lang.String>` `getTourNamen()`
`void` `gitWebBrowser()` Öffnet github im standart browser
`void` `importData()` Importiert alle daten von einem File das hier gewählt wird
`boolean` `isSucheAktiv()`
`void` `javaDocBrowser()` Öffnet Java Doc im standart browser
`void` `nimpButton()` Funktion für noch nicht implementierte sachen wie im Menu der 'Bearbeiten' und 'Optionen' Knopf
`void` `selectLog​(java.lang.String id)` Selectiert ein Log anhand der Id
`void` `selectTour​(java.lang.String tourname)` Selectiert eine Tour anhand des eindeutigen Namens
`void` `setNeueTourName​(java.lang.String neueTourName)`
`void` `setNeueTourStart​(java.lang.String neueTourStart)`
`void` `setNeueTourZiel​(java.lang.String neueTourZiel)`
`void` `setSelectedTour​(Tour selectedTour)`
`void` `setSucheAktiv​(boolean sucheAktiv)`
`void` `suche​(java.lang.String sucheInput)` Sucht eine Tour
`void` `sumReport()` Erstellt einen Summary Report
`void` `tourReport()` Startet den Tour Report

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ViewModel

    public ViewModel()

### Method Detail

#### getImage

    public javafx.scene.image.Image getImage​(java.lang.String tourname)

#### editTour

    public void editTour()
                  throws java.io.IOException

Bearbeitet eine bereits bestehende Tour prüft ob eine tour ausgewählt ist

Throws:
  `java.io.IOException` - Fehler beim editieren der Tour

#### addTour

    public boolean addTour()

Fügt eine neue Tour hinzu

Returns:
  false bei error

#### editLog

    public void editLog()

Bearbeitet einen gewählten Log eintrag

#### addLog

    public void addLog()

Fügt einen Log eintrag zu einer Tour hinzu. Ist keine Tour ausgewählt, dann kommt eine Warnung an den User!

#### delLog

    public void delLog()

Entfernt ein Log anhand des selectierten Logs

#### selectLog

    public void selectLog​(java.lang.String id)

Selectiert ein Log anhand der Id

Parameters:
  `id` - Id welche zu selectieren ist

#### getSelectedLog

    public Log getSelectedLog()

Holt das selectierte Log als Log Objekt

Returns:
  Das selectierte Log Objekt

#### getLog

    public Log getLog​(java.lang.String id)

Holt ein Log anhand seiner ID

Parameters:
  `id` - Id des Log Eintrags
Returns:
  Das gefundene Log

#### getLogData

    public javafx.collections.ObservableList<Log> getLogData()

#### setSelectedTour

    public void setSelectedTour​(Tour selectedTour)

#### getTour

    public Tour getTour​(java.lang.String tourname)

Holt das Tourobjekt anhand des Namens

Parameters:
  `tourname` - Name der Tour
Returns:
  Gefundene Tour

#### selectTour

    public void selectTour​(java.lang.String tourname)

Selectiert eine Tour anhand des eindeutigen Namens

Parameters:
  `tourname` - Der Name der Tour

#### getSelectedTour

    public Tour getSelectedTour()

#### getNeueTourZiel

    public java.lang.String getNeueTourZiel()

#### setNeueTourZiel

    public void setNeueTourZiel​(java.lang.String neueTourZiel)

#### getTourNamen

    public javafx.collections.ObservableList<java.lang.String> getTourNamen()

#### getNeueTourName

    public java.lang.String getNeueTourName()

#### setNeueTourName

    public void setNeueTourName​(java.lang.String neueTourName)

#### getNeueTourStart

    public java.lang.String getNeueTourStart()

#### setNeueTourStart

    public void setNeueTourStart​(java.lang.String neueTourStart)

#### getTourData

    public javafx.collections.ObservableList<Tour> getTourData()

#### delTour

    public void delTour()

Entfernt eine Tour anhand der ausgewählten Tour

#### suche

    public void suche​(java.lang.String sucheInput)

Sucht eine Tour

Parameters:
  `sucheInput` - Text nach dem gesucht werden soll

#### isSucheAktiv

    public boolean isSucheAktiv()

#### setSucheAktiv

    public void setSucheAktiv​(boolean sucheAktiv)

#### gitWebBrowser

    public void gitWebBrowser()

Öffnet github im standart browser

#### javaDocBrowser

    public void javaDocBrowser()

Öffnet Java Doc im standart browser

#### doxygenDocBrowser

    public void doxygenDocBrowser()

Öffnet Doxygen Doc im standart browser

#### nimpButton

    public void nimpButton()

Funktion für noch nicht implementierte sachen wie im Menu der 'Bearbeiten' und 'Optionen' Knopf

#### tourReport

    public void tourReport()

Startet den Tour Report

#### exportData

    public void exportData()

Exportiert alle daten in ein File das hier gewählt wird

#### importData

    public void importData()

Importiert alle daten von einem File das hier gewählt wird

#### sumReport

    public void sumReport()

Erstellt einen Summary Report